> For the complete documentation index, see [llms.txt](https://docs.certn.co/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.certn.co/api/certn-api-v-1.0/api-reference.md).

# API Reference

- [General](https://docs.certn.co/api/certn-api-v-1.0/api-reference/general.md): How to organize the Teams functionality in Certn's API Reference Guide.
- [Human Resources](https://docs.certn.co/api/certn-api-v-1.0/api-reference/hr.md): How to make requests and generate reports as a human resources client in the Certn API.
- [Available checks](https://docs.certn.co/api/certn-api-v-1.0/api-reference/hr/available-checks.md)
- [Property Management](https://docs.certn.co/api/certn-api-v-1.0/api-reference/pm.md): How to make requests and generate reports as a property management client in the Certn API.
- [Available checks](https://docs.certn.co/api/certn-api-v-1.0/api-reference/pm/available-checks.md)
- [Resources](https://docs.certn.co/api/certn-api-v-1.0/api-reference/resources.md): Resource articles about Certn API application parameters, regional codes, error codes, and report field mappings.
- [Application parameters](https://docs.certn.co/api/certn-api-v-1.0/api-reference/resources/application-parameters.md): Certn API parameters for how to request checks, collect information and generate reports.
- [Request flags](https://docs.certn.co/api/certn-api-v-1.0/api-reference/resources/application-parameters/request-flags.md)
- [Error codes](https://docs.certn.co/api/certn-api-v-1.0/api-reference/resources/error-codes.md): A list of API error codes and how to fix them.
- [Regional codes](https://docs.certn.co/api/certn-api-v-1.0/api-reference/resources/region-codes.md)
- [Report field mappings](https://docs.certn.co/api/certn-api-v-1.0/api-reference/resources/report-field-mappings.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.certn.co/api/certn-api-v-1.0/api-reference.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
